using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp149
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] niz = new int[n];
            string[] s2 = Console.ReadLine().Split();
            int indeks = 0;
            for (int i = 0; i < n; i++)
            {
                
                niz[i] = int.Parse(s2[i]);
                
            }
            for (int i = 0; i < n; i++)
            {
                if (niz[i] <= l)
                {
                    indeks = i+1;
                    break;
                }
                else
                {
                    indeks = -1;
                }
            }
            Console.WriteLine(indeks);
        }
    }
}